#!/bin/sh
# Genera HTML a partir de una o más secuencias
# Dominio público. 2004. Sin garantías. http://structio.sourceforge.net/sigue

outdir=$1;
anio=$2;

if (test "$outdir" = "") then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test ! -d $outdir) then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test "$anio" = "") then {
	echo "Segundo parámetro debe ser año por generar";
	exit 1;
} fi;

NS=sec2html.xsl;
SEC2HTML=/home/$USER/structio/repasa/ejemplos/$NS;

export SGML_CATALOG_FILES=$SGML_CATALOG_FILES:/usr/local/share/xml/structio/catalog

woutdir=`(cd $outdir; pwd)`;

niveles=`ls -1 $anio/ | grep -v "CVS"`
for n in $niveles ; do
	grados=`ls -1 $anio/$n/ | grep -v "CVS"`
	for g in $grados; do
		sec=`ls -1 $anio/$n/$g/ | grep "[.]sec"`
		(cd $anio/$n/$g/; ln -s $SEC2HTML .)
		for s in $sec; do
			nom=`echo $s|sed -e "s|.sec$||g"`;
			if (test "$nom" != "dh" -a "$nom" != "aleman" -a $nom != "comportamiento") then {
				cmd="(cd $anio/$n/$g/; xsltproc --catalogs --stringparam nomcla ./$nom.cla -stringparam nomdef ./$nom.def $NS $s > $woutdir/$anio-$n-$g-$nom.html;)";
				echo $cmd;
				eval $cmd;
			} fi;
		done;
		(rm -f $anio/$n/$g/$SEC2HTML .)
	done;
done;

